// const baseUrl = "https://meida.cnyunl.com/yos/rest/index";
const baseUrl = "http://121.37.152.76:8080/yos/rest/index";
let count = null;
class HTTP {
    request({
        url,
        data = {},
        method = "POST",
        header = {
            'content-type': 'application/json'
        },
        loading = true
    }) {
        return new Promise((resolve, reject) => {
            this._request(url, resolve, reject, data, method, header, loading);
        })
    }
    _request(url, resolve, reject, data, method, header, loading) {
        if (loading) wx.showLoading({
            title: '加载中...',
            mask: true
        })
        wx.request({
            url: baseUrl + url,
            data: data,
            method: method,
            header: header,
            timeout: 60000,
            success: (res) => {
                resolve(res.data);
                if (loading) wx.hideLoading();
            },
            fial: (err) => {
                reject(err);
                if (loading) wx.hideLoading()
            },
            complete: (res) => {
                if (res.errMsg != 'request:ok') {
                    wx.hideLoading()
                    wx.showToast({
                        title: '网络异常，请重新进入',
                        icon: "none"
                    })
                } else if (res.data.msg == '登陆状态已过期，请重新登陆！') {
                    clearTimeout(count);
                    wx.showToast({
                        title: '登陆状态已过期，请重新登陆！',
                        icon: "none"
                    })
                    count = setTimeout(() => {
                        wx.redirectTo({
                            url: '/pages/login/phone',
                        });
                    }, 500)
                }
            }
        })
    }
}
export {
    HTTP
}